Name:		epdfview
Version:	0.1.8
%define subrel 1
Release:	%mkrel 2

Summary:	Simple and lightweight PDF viewer
Group:		Office
License:	GPLv2+
URL:		http://trac.emma-soft.com/epdfview/
Source:		http://trac.emma-soft.com/epdfview/chrome/site/releases/%{name}-%{version}.tar.bz2
Patch1:		glib2_headers.patch
Patch2:		epdfview-0.1.6-format_not_a_string_literal_and_no_format_arguments.patch
Patch3:		0001-When-using-Poppler-0.17.0-I-needed-to-swap-the-blue-.patch
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	libcups-devel
BuildRequires:	bison
BuildRequires:	cppunit-devel
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.6.0

Requires:	poppler

%description
ePDFView is a free lightweight PDF document viewer using 
Poppler and GTK+ libraries.The aim of ePDFView is to make 
a simple PDF document viewer, in the lines of Evince but 
without using the Gnome libraries. 


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure2_5x --disable-rpath --with-cups
%make

%install
rm -fr %buildroot
%makeinstall_std

# (tpg) move icons to the right place
for i in 24 32 48;do
mkdir -p %{buildroot}/%{_iconsdir}/hicolor/"$i"x"$i"/apps
cp %{buildroot}/%{_datadir}/%{name}/pixmaps/icon_epdfview-$i.png %{buildroot}/%{_iconsdir}/hicolor/"$i"x"$i"/apps/%{name}.png;
done

sed -i -e 's/^Icon=icon_epdfview-48$/Icon=%{name}/g' %{buildroot}/%{_datadir}/applications/*
%find_lang %{name}

%files -f %{name}.lang
%dir %{_datadir}/%{name}
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/*
%{_mandir}/man1/epdfview.1.*



%changelog

* Sun Jul 01 2012 fwang <fwang> 0.1.8-2.1.mga2
+ Revision: 266458
- backport cauldron patches, to fix bug#6637: red/blue channels are confused with poppler 0.17

  + ovitters <ovitters>
    - add gtk+2.0 to buildrequires
    - rebuild for new poppler

  + ahmad <ahmad>
    - Change libpoppler-*-devel BR to pkgconfig style

* Mon Jun 20 2011 tv <tv> 0.1.8-1.mga2
+ Revision: 110166
- new release
- drop patches 3 & 4

* Mon Mar 14 2011 andre999 <andre999> 0.1.7-6.mga1
+ Revision: 71416
- imported package epdfview

